function [PPM,Spec] = ExAB_spectrum(Wnam,Whnam,R2,k1,k2,H,v0,PPM0)
    f=k2/(k1*H);
    HNAM = 1/(1+f);
    NAM = f/(1+f);
    %fprintf('[NAM HNAM] = [%.4f, %.4f]\n', [NAM HNAM]);

    A=[-1i*Wnam-R2-k1*H   k2;
       k1*H               -1i*Whnam-R2-k2];

    time=linspace(0,5,2^16);
    M=zeros(2,length(time));

    for it=1:length(time)
        t=time(it);
        M(:,it)=expm(A*t)*[NAM;HNAM];

    end

    % spec calcualtion
    M(3,:) = sum(M,1);
    DW=time(2)-time(1);
    SW=0.5*linspace(1/DW,-1/DW,length(time));
    PPM =  PPM0 + SW / v0;
    Spec = fftshift(fft(M(3,:)));
    subplot(2,1,1)
    plot(time,real(M(3,:)))
    subplot(2,1,2)
    plot(PPM,real(Spec))
    xlabel('chemical shift ppm')
end

