%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
LoadPath();
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic 
%%%%%%%%%%%%%%%%%  ESOTHERIC, start from S, evolution during seq %%%%%%

System=Load_System_Name(1);% 1 and 52
ex = Load_System(System);
%% 
%ex.B0=9.4;% Tesla
%ex.B0=0.57;% Tesla
ex.B0=0.005;% Tesla
SOTs{1} = "ESOTHERIC";
SOTs{2} = "ESOTHERICn1n2n3";
SOTs{3} = "ESOTHERICn1n2n3_CP";
SOTs{4} = "Goldman";
SOTs{5} = "Kadlecek2b";
ex.SOT=SOTs{4};

ex.tau1v = linspace(0.0,0.1,100)';% total_delay1,3: tau1=tau3
ex.tau2v = linspace(0.0,0.1,100)';% total_delay2
ex.Goldman.n1=2;
ex.Goldman.n2=6;
ex.Goldman.echoes=2;

ex.Kadlecek2b.echoes=2;
ex.Kadlecek2b.n3=1;
ex.nRef = [1,1,1];

ex = get_INEPTmap(ex);        

%%
ex.Amplitudes.Z(2,2)
plot_Ymap(ex,ex.Amplitudes,ex.tau1v,ex.tau2v);
if strcmp(ex.SOT,"ESOTHERICn1n2n3")
    ex.SOT=ex.SOT+sprintf("_%d_%d_%d_",ex.nRef);
end
if strcmp(ex.SOT,"ESOTHERICn1n2n3_CP")
    ex.SOT=ex.SOT+sprintf("_%d_%d_%d_",ex.nRef);
end


save("out/"+ex.SOT+ex.System+"_"+num2str(ex.B0)+"T.mat","ex");
toc


