%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_SABRE_System_Name(5);
ex=Load_SABRE_System(System);

ex.Folder="out\SABRESHEATH_"+System+"_tb.mat";
%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH=1;                              % pH2 fraction (1 - 100)%
%ex.Kd =10;                             % [s^-1] dissociation rate for MOD2
%ex.Wa =ex.Kd/20;                       % [s^-1] association rate for MOD2
ex.Kd =5;                             % [s^-1] dissociation rate for exC
ex.Bv=logspace(log10(0.1),log10(220),202)'*1e-6;   % delay/storage external magnetic field, T
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.tv=100;   % delay/storage external magnetic field, T
%% rhos for exC SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Yout = sabre_exC_tB(ex);
% plot
figure("Color","white")
semilogx(ex.Bv,ex.Yout.c{ex.show_c(1)}*100,'b',"LineWidth",2);
hold on
semilogx(ex.Bv,ex.Yout.c{ex.show_c(2)}*100,'r',"LineWidth",2);
semilogx(ex.Bv,ex.Yout.c{ex.show_c(3)}*100,'g',"LineWidth",2);
legend(ex.SOcStr(ex.show_c(1:3)));
xlabel("B (T)");
ylabel("Polarization (%)");
title("SABRE SHEATH with tb = "+num2str(ex.tv,3)+"s, free substrate");


%% rhos for MOD2
% ex.Yout = sabre_MOD2_tB(ex);
% figure("Color","white")
% semilogx(ex.Bv,ex.Yout.s{ex.show_s(1)}*100,'b',"LineWidth",2);
% hold on
% semilogx(ex.Bv,ex.Yout.s{ex.show_s(2)}*100,'r',"LineWidth",2);
% semilogx(ex.Bv,ex.Yout.s{ex.show_s(3)}*100,'g',"LineWidth",2);
% legend(ex.SOsStr(ex.show_s(1:3)));
% xlabel("B (T)");
% ylabel("Polarization (%)");
% title("SABRE SHEATH with tb = "+num2str(ex.tv,3)+"s, free substrate");
% display("[Substrate]/[Catalyst] = "+num2str(ex.Yout.SABRE.fs/ex.Yout.SABRE.fc));

%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
save(ex.Folder+System+"_B.mat","ex");
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
