p = LoadPath();

System=Load_System_Name(9);
SOTs{1} = "ESOTHERIC";
SOTs{2} = "ESOTHERICn1n2n3";
SOTs{3} = "ESOTHERICn1n2n3_CP";
SOTs{4} = "Goldman";
SOT=SOTs{3};

Folder="out\";

%B0=9.4;
B0=0.57;
ex.nRef = [3,3,3];
if strcmp(SOT,"ESOTHERICn1n2n3")
    SOT=SOT+sprintf("_%d_%d_%d_",ex.nRef);
end
if strcmp(SOT,"ESOTHERICn1n2n3_CP")
    SOT=SOT+sprintf("_%d_%d_%d_",ex.nRef);
end

in=load("out/"+SOT+System+"_"+num2str(B0)+"T.mat");
ex=in.ex;



%plot_Ymap(ex,Ymap);
[X, Y] = meshgrid(ex.tau1v*1e3,ex.tau2v*1e3);
Z=ex.Amplitudes.X;
texts.x = '\tau_1, ms';
texts.y = '\tau_2, ms';

texts.title = ' ';
texts.CC=-100:20:100;
texts.Max=100;
ax=plot2D(X,Y,Z,texts,'CC');

[m, n1]=max(max(abs(Z)));
[m, n2]=max(abs(Z(:,n1)));
fprintf("tau 1 = %.2f, tau 2  = %.2f, maxP  = %.2f \n", [ex.tau1v(n1)*1e3, ex.tau2v(n2)*1e3, Z(n2,n1)]);
fprintf("Delta 1 = %.2f ms, Delta 2 = %.2f ms \n",[ex.Delta1, ex.Delta2]);


imagewd = getframe(gcf); 
imwrite(imagewd.cdata, Folder+SOT+System+"_"+num2str(B0)+"T.tiff",'Compression','none','Resolution',300);
%To change the quality of a TIFF file, you can specify 'Compression',''none' and increase the resolution with 'Resolution',300.


