% change ESOTHERIC_type line 24
% Change temp value 280, 283, 288, 293 line 28
clear all  % clear all and delete all previous data
close all
tic
p = LoadPath();
%% Name of the folder which contains the simulations files %%%%%%%%%%%%%%%% 
System_type{1} = "HHN-1"     ;
System_type{2} = "HHNN-2"    ;
System_type{3} = "HHC-1"     ;
System_type{4} = "HHHC-1"    ;
System_type{5} = "HH-HHHC-1" ;

ESOTHERIC_types{1} = 'SABREESOTHERIC'                 ;
ESOTHERIC_types{2} = 'SABREESOTHERIC_2D_TA_TB'        ;
ESOTHERIC_types{3} = 'SABREESOTHERIC_2D_TA_vdList'    ;
ESOTHERIC_types{4} = 'SABREESOTHERIC_2D_TB_vdList'    ;
ESOTHERIC_types{5} = 'SABREESOTHERIC_TAvd_Multi_Kd'   ;
ESOTHERIC_types{6} = 'SABREESOTHERIC_TBvd_Multi_Kd'   ;
ESOTHERIC_types{7} = 'SABREESOTHERIC_tev'             ;
ESOTHERIC_types{8} = 'SABREESOTHERICtev_Multi_Kd'     ;

System             = System_type{2}                   ;
ESOTHERIC_type     = ESOTHERIC_types{5}               ;  
%ex.Folder          = "out\"+System+"\ESOTHERIC\"+ESOTHERIC_type+"\"+ESOTHERIC_type+"_"      ; % 
%% Load data of the experimental file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.experiment = "expdata\"+System+"\ESOTHERIC\"+ESOTHERIC_type+"\"                          ; 
temp          = 293                                                                         ;
data_in       = load(ex.experiment+'SABRE_ESOTHERIC_'+temp+'K_adjusted.csv','-ASCII')       ; 

data.tau      = data_in(:,1);
data.amp      = data_in(:,2)/max(data_in(:,2))  ;


fo = fitoptions('Method','NonlinearLeastSquares',...
               'Lower',[0,0],...
               'Upper',[Inf,80],...
               'DiffMinChange',0.1,...
               'StartPoint',[0 19]); 
myexp       = fittype('load_ESOTHERIC_simulation(A,B,x)','coefficients',{'A','B'},'independent',{'x'},'dependent',{'y'})  ; 

x=data.tau;
y=data.amp;

[result gof]= fit(x,y,myexp,fo)                                            ; % goodness-of-fit statistics to the structure gof
coef        = coeffvalues(result)                                          ; % extracting coefficients 
int         = confint(result)                                              ; % extracting trusting interval for 95% confidence = 2 sigma
meanerror   = abs((int(2,:)-int(1,:))/4)                                   ; % 1 sigma


A           = coef(1,1)                                                    ;
B           = coef(1,2)                                                    ;

fprintf('A = %.3f ± %.3f',[A,meanerror(1)])                                ;
fprintf('Kd = %.3f ± %.3f s^{-1}',[B,meanerror(2)])                        ;
yfitted = load_ESOTHERIC_simulation(A,B,x)                                 ;

figure
set(gcf,'color','w')                                                       ; 
plot(x, y,'b','LineWidth',2)
hold on 
plot(x, yfitted,'r','LineWidth',2)                                         ;
legend('experimental signal','simulation signal')                          ;
xlabel('Tau (s)')                                                          ;
ylabel('Normalized Amplitude')                                             ;
title(sprintf('At temperature %dK  Kd = %.2f ± %.2f s^{-1}',[temp,B,meanerror(2)])) 

% out = [x,y, yfitted];
% save("simulation12 signal.csv","out",'-ASCII')
toc