% HH-C system 3x3x1x10000, time 443s
% HH-C system 9x9x1x10000, time 4101s
% HH-C system 45x41x1x10000, time 92592 s
%plot([3*3*1*10000,9*9*1*10000,45*41*1*10000],[443,4101,92592])
%asdf
%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_SABRE_System_Name(5);
ex=Load_SABRE_System(System);

ex.Folder="out\realSLIC_SHEATH_SABRE_"+System+"_49.96uT_2uT_2BsinDSweepDecay2s.mat";

%% load density matrix
in=load("P:\public\section\own_contributions\papers\2025_MS_experimental_approach_of_SLIC-SABRE\Data\Simulations\20250124_realSLIC_SHEATH_SABRE_HH-C_49.96uT_2uT.mat");
ex.rC=in.ex.rC; % load 

%% change these parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
B0_field = 49.9526*1e-6; % [uT]
% field to v1 conversion for 13C
ex.B1_field = linspace(0,10,42)*1e-6; % [uT]
ex.Ad.delta = linspace(-100,+100,41); % [Hz] frequency to sweep
%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH= 1;                              % pH2 fraction (1 - 100)%
%ex.Kd = 10;                             % [s^-1] dissociation rate for MOD2
%ex.Wa = ex.Kd/20;                       % [s^-1] association rate for MOD2
ex.Kd = 10;                             % [s^-1] dissociation rate for exC
%% SLIC parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.B0 = B0_field; % uT field
% rf on 13C
ex.v1 = ex.B1_field*(ex.Ss.gamma{end}/(2*pi)); % field in Hz, field in uT in []
ex.v1v = ex.v1/ex.Ss.g_gh{end};     % in [Hz] for 1H gamma!
ex.vrf = -535; % Hz resonancing frequency

%% Adiabatic frq sweep parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Ad.T = 2; % s, total time of adiabatic frq sweep
ex.Ad.N = 20000; % number of points for the adiabatic sweep % about 5k is min
ex.Ad.time = linspace(0,ex.Ad.T,ex.Ad.N); % s time to move frequency
ex.Ad.dt = ex.Ad.time(2)-ex.Ad.time(1); % s time step

%%
ex.Yout = sabre_exC_ULF_ic_v1SWEEP_adiabatic(ex);
%%
plot_all_ULF_SLIC_SABRE_delta_v1(ex.System,ex.Yout.c,ex,ex.show_c,ex.SOcStr,"Polarization")
save(ex.Folder,"ex")

%% %%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc



function plot_all_ULF_SLIC_SABRE_delta_v1(System,Yout,ex,show,SOstr,where)
    x=ex.Ad.delta;    
    y=ex.B1_field*1e6;
    %leg=ex.v1v'*ex.Ss.g_gh{end};       
    figure('Color','white','Units',"pixels",'Position', [10 100 600 700])
    colormap('parula');%hot        
    for ik = 1:length(show)        
        
        ax1=subplot(length(show),1,ik);
        [X,Y]=meshgrid(y,x);
        surf(X,Y,(Yout{show(ik)}(:,:,end))*100,'edgecolor','none')        
        view(2);
        colorbar
        ax1.set('FontSize',12,'FontName','Arial');
        if ik==1
            text='P(%%):'+System+"("+where+")"+' '+SOstr{show(ik)};
            title(sprintf(text+', k_d''=%.2f s^-^1',[ex.Kd]),'FontSize',10,'FontName','Arial');
        else
            title(sprintf(SOstr{show(ik)}),'FontSize',10,'FontName','Arial');
        end
        %xlabel('13C frequency offset (Hz)','FontSize',12,'FontName','Arial');
        xlabel('B1 field (uT)','FontSize',12,'FontName','Arial');
        ylabel('Frequency sweep by (Hz)'    ,'FontSize',12,'FontName','Arial');
        %legend("v_1="+num2str(leg,3)+" Hz",'FontSize',12,'FontName','Arial');
    end
end