LoadPath();

% no adiabatic pulse [1]
in=load("P:\public\section\own_contributions\papers\2025_MS_experimental_approach_of_SLIC-SABRE\Data\Simulations\20250115_SLIC_SHEATH_SABRE_HH-C_B0_v1.mat");
% adiabatic pulse sweep 50 hz and ramp down in 2 s [2]
in=load("P:\public\section\own_contributions\papers\2025_MS_experimental_approach_of_SLIC-SABRE\Data\Simulations\20250116_SLIC_SHEATH_SABRE_HH-C_B0_v1_frqA.mat");
% adiabatic pulse step to +-50 hz and ramp down in 2 s [1 or 2]
in=load("P:\public\section\own_contributions\papers\2025_MS_experimental_approach_of_SLIC-SABRE\Data\Simulations\20250118_SLIC_SHEATH_SABRE_HH-C_B0_v1_frqA2+50Hz.mat");


ex=in.ex;
plot_all_ULF_SLIC_SABRE_B0_v1(ex.System,ex.Yout.c,ex,ex.show_c,ex.SOcStr,"Polarization")
%ex
B0v=ex.B0v*1e6;
B1v=ex.B1_field*1e6;
PXC = ex.Yout.c{1}(:,:,end)*100;
PZC = ex.Yout.c{2}(:,:,end)*100;

P=PXC; % transversal for no adiabatic pulse [1]
%P=PZC; % longuitudinal for adiabatic pulse [2]

[m1 n1]=max(max(P));
[m2 n2]=max(P(:,n1));

B00=B0v(n2);
B10=B1v(n1);
disp("Best B0 uT")
disp(B00);
disp("Best B1 uT")
disp(B10);

%% only B0 inhomogeneity
figure()
subplot(2,1,1)
std_prct_B0v=linspace(0.001,10,100);
PB0 = zeros(1,length(std_prct_B0v));
for iB0=1:length(std_prct_B0v)
    GB0=MyNormGauss(B00,std_prct_B0v(iB0),B0v);
    PB0(1,iB0) = sum(P(:,n1).*GB0');
end
plot(std_prct_B0v, PB0);
xlabel("std norm distr of B0 in % from nominal B0")
ylabel("Polarization(%)")

%% only B1 inhomogeneity
subplot(2,1,2)
std_prct_B1v=linspace(0.001,100,100);
PB1 = zeros(length(std_prct_B0v),1);
for iB1=1:length(std_prct_B1v)
    GB1=MyNormGauss(B10,std_prct_B1v(iB1),B1v);
    PB1(iB1,1) = sum(P(n2,:).*GB1);
end
plot(std_prct_B1v, PB1);
xlabel("std norm distr of B1 in % from nominal B1")
ylabel("Polarization(%)")



function y=MyNormGauss(B0,std_prct,x)
    std0=B0*std_prct/100;
    y=exp(-0.5*(B0-x).^2/std0^2);
    y=y/sum(y);
end