%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
%rep*ntp*ntd
%100*3*2 = 4s
%100*30*20 = 244 s = 4 min
%100*150*200 = 16055 s = 267 min = 4.5 h
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System_type{1}="HHN-1";
System_type{2}="HHNN-2";

System=System_type{2};
ex=LoadSystem(System);
ex.Folder="out_Energy\";
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bv=linspace(0,5,10001)'*1e-6;   % delay/storage external magnetic field, T
%% calculate Energy%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Y=zeros(length(ex.Bv),ex.Sc.Nstates);
for iB=1:length(ex.Bv)
    disp(iB/length(ex.Bv)*100);
    B=ex.Bv(iB);        
    HcB=HZJij(ex.Sc,ex.ppmC,ex.JC,B);
    [Q, E]=eig(full(HcB));
    E=diag(E);
    Y(iB,:)=E;
end
%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
save_Energy(System,Y,ex);
plot_Energy(System,Y,ex);
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
