%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
%rep*ntp*ntd
%100*3*2 = 4s
%100*30*20 = 244 s = 4 min
%100*150*200 = 16055 s = 267 min = 4.5 h
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System_type{1}="HHN-1";
System=System_type{1};
ex=LoadSystem(System);
ex.Folder="out_tdBd_p3m1u_r10\";
%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH=1;                              % pH2 fraction (1 - 100)%
ex.Kd =20;                             % [s^-1] dissociation rate
ex.Wa =2;                              % [s^-1] association rate
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bp=1e-6;    % polarization external magnetic field, T
ex.Bdv=linspace(1,100,510)'*1e-6;   % delay/storage external magnetic field, T
%% time grid %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.tp=3*1e-3; % polarization time, s
ex.tdv=linspace(0,50,2000)'*1e-3; % refreshing time, s
ex.rep=10;                      % repetition
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Yout = pulsed_sabre_tdBd(ex);
%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
save_all_tdBd(System,Yout*100,ex);
plot_all_tdBd(System,Yout*100,ex);
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
