%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
%rep*ntp*ntd
%100*3*2 = 4s
%100*30*20 = 244 s = 4 min
%100*150*200 = 16055 s = 267 min = 4.5 h
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System_type{1}="HHN-1";
System_type{2}="HHNN-2";

System=System_type{2};
ex=LoadSystem(System);
ex.Folder="out_tpBp_d5m54u_r100_10u200m\";
ex.Folder='out_tpBp_d1m54u_r100_10u200m\';
ex.Folder='out_tpBp_d100m54u_r100_10u200m\';

ex.Folder='out4_tpBp_d100m54u_r100_10u200m\';
ex.Folder='out4_tpBp_d10m54u_r100_10u200m\';
ex.Folder='out4_tpBp_d1m54u_r100_10u200m\';

ex.Folder='out4_tpBp_d10m54u_r3000_10u200m\';
%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH=1;                              % pH2 fraction (1 - 100)%
ex.Kd =20;                             % [s^-1] dissociation rate
ex.Wa =2;                              % [s^-1] association rate
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bpv=linspace(0,10,100)'*1e-6;    % polarization external magnetic field, T
ex.Bd=54e-6;   % delay/storage external magnetic field, T
%% time grid %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.tpv=linspace(0,200,2000)'*1e-3; % polarization time, s
ex.td=10*1e-3; % refreshing time, s
ex.rep=3000;                      % repetitions
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Yout = pulsed_sabre_tpBp(ex);
%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
save_all_tpBp(System,Yout*100,ex);
plot_all_tpBp(System,Yout*100,ex);
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
