Path="D:\YandexDisk\resultsKiel\120.Theis_altSABRE_kinetics\CSH-Raw Data CSV\";
PathSim="C:\Users\User\Documents\git\moin-spin-library\Coherent_SABRE_SHEATH_alt_SABRE\out\";

% load time points
File="Time Points\TimePoints.xlsx";
in=readtable(Path+File);
Tp=in.Var1;


% 0.5 uT
% load signal points %30C 
% experiment
File="Anastrozole\0.5uT 30C.xlsx";
in=readtable(Path+File);
y=in.Var1;
% simulations
System="HHN-1";
Bp=0.5*1e-6; % T
Kd=12; % s-
KdWa_r=100; % Kd/Wa
TimePol=90; % s % polarization time
[ysim, Tpsim] = load_simulations(System,Bp,Kd,KdWa_r,TimePol);

plotkinetics_loc(Tp,y/max(y),Tpsim,ysim/max(ysim))
asd
%% load signal points %40C 
% load signal points
File="Anastrozole\0.5uT 40C.xlsx";
in=readtable(Path+File);
y=in.Var1;

% simulations
System="HHN-1";
Bp=0.5*1e-6; % T
Kd=8; % s-1
KdWa_r=10; % Kd/Wa
TimePol=90; % s % polarization time
[ysim, Tpsim] = load_simulations(System,Bp,Kd,KdWa_r,TimePol);

plotkinetics_loc(Tp,y/max(y),Tpsim,ysim/max(ysim))


%% load signal points 50C
% load signal points
File="Anastrozole\0.5uT 50C.xlsx";
in=readtable(Path+File);
y=in.Var1;


% simulations
System="HHN-1";
Bp=0.5*1e-6; % T
Kd=30; % s-1
KdWa_r=10; % Kd/Wa
TimePol=90; % s % polarization time
[ysim, Tpsim] = load_simulations(System,Bp,Kd,KdWa_r,TimePol);


plotkinetics_loc(Tp,y/max(y),Tpsim,ysim/max(ysim))

%%
function [ysim, Tpsim] = load_simulations(System,Bp,Kd,KdWa_r,TimePol)
    insim=load(sprintf('out\\ex_%s_Bp%.0fnT_Kd%.1fs-1_KWr%.0f.mat',[System,Bp*1e9,Kd,KdWa_r]));
    sim=insim.ex;
    n=round(TimePol./(sim.tpv+sim.td))';
    ysim=sim.Yout;
    linidx = sub2ind(size(ysim), 1:size(ysim,1), n);                 % Linear Index    
    ysim = ysim(linidx)';
    Tpsim=sim.tpv*1e3-2;
end


% plot function
function RMSD = plotkinetics_loc(x,y,xsim,ysim)
    figure("Color","white")
    plot(x,y,"LineWidth",2,"Marker","o")
    hold on
    plot(xsim,ysim,"LineWidth",2,"Marker","o");
    hold off

    xlabel("tp (ms)")
    ylabel("signal")
    %axis([0,x(end),min([min(y),min(ysim)]),1])
    RMSD = rms(y-ysim);
    legend({"exp","sim"})
    title(sprintf("RMSD = %.4f",RMSD));
end