function Yout = sabre_tB(ex)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% nonpolorized initial spin state of the Ir-complex and substrate
    rC0=DensityMatrix(ex.Sc.U);
    rS0=DensityMatrix(ex.Ss.U);
    rS=rS0;
    rC=rC0;
            
    NS2=ex.Ss.Nstates^2;
    NC2=ex.Sc.Nstates^2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% relaxation superoperator of the Ir-complex and substrate
    RsC=RLFF_EN(ex.Sc,ex.T1C);
    RsS=RLFF_EN(ex.Ss,ex.T1S);
    %% Yout matrix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    Yout=zeros(length(ex.tv),length(ex.Bv)); %zero matrix for data output
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate SHEATH-SABRE experiment 
    for iB=1:length(ex.Bv)
        disp(iB/length(ex.Bv)*100);
        B=ex.Bv(iB);
        % delay 
        HsB=2*pi*HZJij(ex.Ss,ex.ppmS,ex.JS,B);
        HcB=2*pi*HZJij(ex.Sc,ex.ppmC,ex.JC,B);
        SABRE=SABRE_MOD2_matrix(rC0,...
            ex.Ss,HsB,RsS,...
            ex.Sc,HcB,RsC,...
            ex.Sh,...
            ex.fpH,ex.Wa,ex.Kd);
        
        for it=1:length(ex.tv)
            t=ex.tv(it);
            SAt=expm(SABRE.A*t);            
            vecS0=mtz2vec(rS0.val)/trace(rS0.val)*SABRE.fs;
            vecC0=mtz2vec(rC0.val)/trace(rC0.val)*SABRE.fc;
            vec=[vecS0' vecC0']';                                      
            vec=SAt*vec; 
            rS.val=vec2mtz(vec(1:NS2))/SABRE.fs;
            rC.val=vec2mtz(vec(NS2+1:NS2+NC2))/SABRE.fc;
            Yts=Amplitudes(rS,ex.SOs);                                
            %Ytc=Amplitudes(rC,ex.SOc);
            Yout(it,iB)=real(Yts(3));               
        end
    end
end

