function [spec] = COSY_ZULF_processing(spec)                                     

    %% addition of relaxation    
    R2R1 = exp(-spec.AQTime2*spec.R2)*exp(-spec.AQTime1'*spec.R2);
    spec.proc.FID.X = spec.FID.X.*R2R1;
    spec.proc.FID.Y = spec.FID.Y.*R2R1;
          
    if spec.proc.k>0
        %% other appodization
        %sin(t*pi/T) * exp (-t/(T/k));
        k=spec.proc.k;
        T2=spec.AQTime2(end);
        t2=spec.AQTime2;
        T1=spec.AQTime1(end);
        t1=spec.AQTime1';

        A2A1 = (sin(t2*pi/T2).*exp(-t2/(T2/k)))*(sin(t1*pi/T1).*exp(-t1/(T1/k)));
        A2A1=A2A1/max(A2A1);

        spec.proc.FID.X = spec.proc.FID.X.*A2A1;
        spec.proc.FID.Y = spec.proc.FID.Y.*A2A1;
    end
    
    %% FFT
    spec.spec.X = fftshift(fft(fft(spec.proc.FID.X')')); %FFT in indirect dimension            % 1, 2
    spec.spec.Y = fftshift(fft(fft(spec.proc.FID.Y')')); %FFT in indirect dimension            % 1, 2
    
    spec.FRQ2 = (-spec.TD2/2-0.5:1:spec.TD2/2-1-0.5)*spec.SR2'; %indirect frequency domain
    spec.FRQ1 = (-spec.TD1/2-0.5:1:spec.TD1/2-1-0.5)*spec.SR1'; %indirect frequency domain