function rM = GOLDMAN(r0,H0,tau1,tau2,S,eH,eC,ex)    
% https://www.sciencedirect.com/science/article/pii/S1631070505000514   
    echoes=ex.Goldman.echoes;
    t0=ex.Goldman.tau034/(2*echoes);    
    t1=tau1/(2*echoes);
    t2=tau2/(2*echoes);
    t3=ex.Goldman.tau034/(2*echoes);    
    t4=ex.Goldman.tau034/(2*echoes);
    
    
    %0
    rM=r0;
    for k0=1:ex.Goldman.n1
        for k=1:echoes
            [X1,Y1,rM]=rM.EvolutionConstH(H0,t0,[]);    
            rM=rM.RotationSuperOperator(pi,'X',S,[eH,eC]);           
            [X1,Y1,rM]=rM.EvolutionConstH(H0,t0,[]);
        end
        rM=rM.RotationSuperOperator(pi,'X',S,[eH]); % eH or eC  
    end

    %1    
    for k=1:echoes
        [X1,Y1,rM]=rM.EvolutionConstH(H0,t1,[]);    
        rM=rM.RotationSuperOperator(pi,'X',S,[eH,eC]);           
        [X1,Y1,rM]=rM.EvolutionConstH(H0,t1,[]);
    end
    rM=rM.RotationSuperOperator(pi,'X',S,[eH]); % eH or eC          
       
    %2
    for k=1:echoes
        [X1,Y1,rM]=rM.EvolutionConstH(H0,t2,[]);    
        rM=rM.RotationSuperOperator(pi,'X',S,[eH, eC]);        
        [X2,Y2,rM]=rM.EvolutionConstH(H0,t2,[]);      
    end
    rM=rM.RotationSuperOperator(pi/2,'Y',S,[eC]);
       
    %3
    for k=1:echoes
        [X1,Y1,rM]=rM.EvolutionConstH(H0,t3,[]);    
        rM=rM.RotationSuperOperator(pi,'X',S,[eH, eC]);        
        [X2,Y2,rM]=rM.EvolutionConstH(H0,t3,[]);      
    end
    rM=rM.RotationSuperOperator(-pi/2,'X',S,[eC]);

    %4    
    
    for k2=1:ex.Goldman.n2
        beta=ex.Goldman.betas(k2);
        for k=1:echoes
            [X1,Y1,rM]=rM.EvolutionConstH(H0,t4,[]);    
            rM=rM.RotationSuperOperator(pi,'X',S,[eH,eC]);        
            [X2,Y2,rM]=rM.EvolutionConstH(H0,t4,[]);      
        end
        rM=rM.RotationSuperOperator(beta,'X',S,[eC]);        
    end


    
end

