function plot_spectrum(System,ex,spec,type_frq,spec_component,show)
    switch type_frq
        case "relative FRQ"
            FRQ = spec.FRQ - 0;
            xlabel_frq= 'Frequency - v0 (Hz)';
        case "absolute FRQ"
            FRQ = spec.FRQ;
            xlabel_frq= 'Frequency (Hz)';           
    end
    
    
    switch spec_component
        case "all"
            spectrum = [real(spec.spec), imag(spec.spec)];
            FID = [real(spec.FID), imag(spec.FID)];
            my_title=sprintf(System+'complete spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "1H"
%             spectrum = [real(spec.spec_1H), imag(spec.spec_1H)];
%             FID = [real(spec.FID_1H), imag(spec.FID_1H)];
%             my_title=sprintf(System+'Hydrogen spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "15N"
            spectrum = [real(spec.spec_15N), imag(spec.spec_15N)];
            FID = [real(spec.FID_15N), imag(spec.FID_15N)];
            my_title=sprintf(System+'Nitrogen spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "c"
            spectrum = [real(spec.spec_c), imag(spec.spec_c)];
            FID = [real(spec.FIDc), imag(spec.FIDc)];
            my_title=sprintf(System+'complexe spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "s"
            spectrum = [real(spec.spec_s), imag(spec.spec_s)];
            FID = [real(spec.FIDs), imag(spec.FIDs)];
            my_title=sprintf(System+'substrate spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
    end
    switch show
        case "spectrum"                      
            % spectrum
            figure('Color','white')                       
            plot(FRQ,spectrum,'LineWidth',2);
            %ax1.set('FontSize',12,'FontName','Arial');
            title(my_title,'FontSize',14,'FontName','Arial');
            xlabel(xlabel_frq,'FontSize',14,'FontName','Arial');
            ylabel('Intensity (a.u.)','FontSize',14,'FontName','Arial');
            % axis([ex.Bv(1)*1e6 ex.Bv(end)*1e6 ex.tv(1)*1e3 ex.tv(end)*1e3]); 
        case "SPEC+FID"
            % spectrum
            figure('Color','white')
            ax1 = subplot(2,1,1);
            ax1.set('FontSize',12,'FontName','Arial');
            plot(FRQ,spectrum,'LineWidth',2);
            title(my_title,'FontSize',14,'FontName','Arial');
            xlabel(xlabel_frq,'FontSize',14,'FontName','Arial');
            ylabel('Intensity (a.u.)','FontSize',14,'FontName','Arial');
            % axis([ex.Bv(1)*1e6 ex.Bv(end)*1e6 ex.tv(1)*1e3 ex.tv(end)*1e3]);

            % FID 
            ax2 = subplot(2,1,2);
            ax2.set('FontSize',12,'FontName','Arial');
            plot(spec.AQTime,FID,'LineWidth',2);
            %title(sprintf(System+' W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]),'FontSize',14,'FontName','Arial');
            xlabel("AQ time (s)",'FontSize',14,'FontName','Arial');
            ylabel('Intensity (a.u.)','FontSize',14,'FontName','Arial');
            %axis([ex.Bv(1)*1e6 ex.Bv(end)*1e6 ex.tv(1)*1e3 ex.tv(end)*1e3]);
    end
end

