function dM=Bloch_RD(t,M,T1,T2,tRD,D_RD,noise,w,Meq)
    %Bloh differential equation    
    if T1<=0 || T2<=0
        error ("T1 and T2 can be only positive")
    end
    % see 10.1002/cphc.200800113
    ro=1/(abs(Meq)*tRD);
    %D_RD = 3 xi gamma Bdip / 2 [rad/s]; xi from -1/2 to 1
    delta=D_RD/(abs(Meq));
    % noise
    x=(randn-0.5);
    y=(randn-0.5);
    L=sqrt(x^2+y^2);
    Mxnoise=noise*x*M(3);
    Mynoise=noise*y*M(3);
    Mznoise=noise*L*M(3);
    

    %% this simulation fails at max raser
    %1-Mx, 2-My, 3-Mz
    dM(1)=(M(2)*w(3)-M(3)*w(2))-M(1)/T2            +delta*M(3)*M(2)-M(1)*M(3)*ro     +Mxnoise;
    dM(2)=(M(3)*w(1)-M(1)*w(3))-M(2)/T2            -delta*M(3)*M(1)-M(2)*M(3)*ro     +Mynoise;
    dM(3)=(M(1)*w(2)-M(2)*w(1))-(M(3)-Meq)/T1      -(M(1)*M(1)+M(2)*M(2))*ro         -Mznoise;    
    dM=dM(:);   

    %% from my ideas
    %w0=w+[M(2),-M(1),0]*ro;
    %dM(1)=(M(2)*w0(3)-M(3)*w0(2))-M(1)/T2            +delta*M(3)*M(2)     +Mxnoise;
    %dM(2)=(M(3)*w0(1)-M(1)*w0(3))-M(2)/T2            -delta*M(3)*M(1)     +Mynoise;
    %dM(3)=(M(1)*w0(2)-M(2)*w0(1))-(M(3)-Meq)/T1                           -Mznoise;    
    %dM=dM(:);   
end
% not good way to use ODE45! here with noise!=0
% read about CDE
% https://www.mathworks.com/matlabcentral/answers/1646055-what-is-the-way-of-solving-the-noise-added-differential-equations-in-matlab
% https://epubs.siam.org/doi/epdf/10.1137/S0036144500378302
% https://en.wikipedia.org/wiki/Runge%E2%80%93Kutta_method_(SDE)
