function [T1,T2,C,Wz,K] = Load_SPINS_Systems(Name)
%SPINS_SYSTEMS Summary of this function goes here
%   Detailed explanation goes here
    switch Name
    
        case "A"
            T1 = [60]  *1                                                  ; % Relaxation time for spin 1, [s]
            T2 = T1                                                        ;
            Wz = 2*pi*[200]                                                ; %;gamma1H*B0*(2e-6); % frequency, rad/s 
            % the sum over colums is zero!
            K  = [0]                                                       ;            
            C  = 1                                                         ; % Concentration of spins

        case "AB"
            T1 = [15,3]                                                    ; % Relaxation time for spin 1, [s]
            T2 = T1                                                        ;
            Wz = 2*pi*[100 300]                                            ; %;gamma1H*B0*(2e-6); % frequency, rad/s 
            % the sum over colums is zero!
            K  = [-10,    10                                               ; 
                   10,   -10]                                              ;
            V  = null(K(1:2,1:2))                                          ;
            C  = V'/sum(V)                                                 ; % Concentration of spins
            
        case "ABC"
            T1 = [20, 20, 20]                                              ; % Relaxation time for spin 1, [s]
            T2 = T1                                                        ;
            Wz = 2*pi*[100 200 300]                                        ; %;gamma1H*B0*(2e-6); % frequency, rad/s 
            % the sum over colums is zero!
            K  = [-1,        5,      0 ; 
                   1,   -5-0.1,    0.2 ;
                   0,      0.1,  -0.2] ;
            % V = null(K(1:2,1:2)); C = V'/sum(V); % concentration of spins
            C  = [0.33, 0.66, 1]                                           ;
            
        case "CsS2->S2"
            T1 = [5, 25]                                                   ; % Relaxation time for spin 1, [s]
            T2 = T1                                                        ;
            Wz = 2*pi*[100 200]                                            ; % gamma1H*B0*(2e-6); % frequency, rad/s 
            kd = 1                                                         ; % s-1
            K  = 7                                                         ; % [S]/[CsS2]
            nS = 40                                                        ; % [mM]
            nC = 4;%nS/K                                                      ; % [mM]
            % the sum over colums is zero!
            K  = [-kd/2,    kd/K                                           ; 
                   kd/2,   -kd/K]                                          ;            
            C  = [nC, nS]                                                  ; % Concentration of spins 2*nC
            
        case "IrHH->H2"
            T1      = [1, 1, 25]                                           ; % Relaxation time for spin 1, [s]
            T2      = T1                                                   ;
            Wz      = 2*pi*[100 200 300]                                   ; % gamma1H*B0*(2e-6); % frequency, rad/s 
            kd      = 10                                                   ; % s-1
            kex     = 3                                                    ; % exchange rate
            nC      = 4                                                    ;
            % the sum over colums is zero!
            K  = [ -kd-kex,       kex,         kd/4                        ; 
                       kex,   -kd-kex,         kd/4                        ;
                        kd,        kd,        -kd/2]                       ;            
            C  = [nC, nC, nC/2]                                            ; % Concentration of spins 2*nC    
            
    end

end

