function plot_all_ADAPT_RFt_1Dav(System,Yout,ex)
    X=ex.Dav*1e3;    
    figure        
    ax=subplot(2,1,1);
    plot(X,Yout*100);        
    ax.set('FontSize',12,'FontName','Arial');
    title(sprintf(System+' '+', time of v1Xspin = %.2f ms, W_a=%.3f s^-^1, k_d''=%.3f s^-^1, rep=%d',[ex.timeRF*1e3, ex.Wa ex.Kd, ex.m]),'FontSize',10,'FontName','Arial');    
    xlabel('delay (ms)'    ,'FontSize',12,'FontName','Arial');            
    legend(["13C-X","13C-Y","13C-Z"]);
    
    
    ax2=subplot(2,1,2);    
    Spec=Yout*0;
    DW=ex.Dav(2)-ex.Dav(1);
    SW=1/DW;
    TD = length(X);
    FRQ = linspace(SW/2,-SW/2,TD); %indirect frequency domain
    for ik=1:3
        a=fftshift(fft(Yout(:,ik)),1);        
        Spec(:,ik)=a;
    end    
    plot(FRQ,abs(Spec));        
    ax2.set('FontSize',12,'FontName','Arial');
    title(sprintf(System+' '+', time of v1Xspin = %.2f ms, W_a=%.3f s^-^1, k_d''=%.3f s^-^1, rep=%d',[ex.timeRF*1e3, ex.Wa ex.Kd, ex.m]),'FontSize',10,'FontName','Arial');    
    xlabel('Frequency spectrum (Hz)'    ,'FontSize',12,'FontName','Arial');            
    legend(["13C-X","13C-Y","13C-Z"]);
end

