function plot_spectrum(System,ex,spec,type_frq,spec_component)
    switch type_frq
        case "relative FRQ"
            FRQ = spec.FRQ - 0;
            xlabel_frq= 'Frequency - v0 (Hz)';
        case "absolute FRQ"
            FRQ = spec.FRQ;
            xlabel_frq= 'Frequency (Hz)';           
    end
    
    
    switch spec_component
        case "all"
            spectrum = [real(spec.spec), imag(spec.spec)];
            FID = [real(spec.FID), imag(spec.FID)];
            if isfield(ex,'Wa')
                my_title=sprintf(System+'complete spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
            else
                my_title=sprintf(System+'complete spectum: '); %k_d''=%.3f s^-^1',[ex.Kd]
            end
        case "xyz_spectra"
            spectrum = [real(spec.spec.x), imag(spec.spec.x)];
            FID.x = [real(spec.FIDx), imag(spec.FIDx)];
            if isfield(ex,'Wa')
                my_title=sprintf(System+'complete spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
            else
                my_title=sprintf(System+'complete spectum: '); %k_d''=%.3f s^-^1',[ex.Kd]
            end

        case "1H"
%             spectrum = [real(spec.spec_1H), imag(spec.spec_1H)];
%             FID = [real(spec.FID_1H), imag(spec.FID_1H)];
%             my_title=sprintf(System+'Hydrogen spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "15N"
            spectrum = [real(spec.spec_15N), imag(spec.spec_15N)];
            FID = [real(spec.FID_15N), imag(spec.FID_15N)];
            my_title=sprintf(System+'Nitrogen spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "c"
            spectrum = [real(spec.spec_c), imag(spec.spec_c)];
            FID = [real(spec.FIDc), imag(spec.FIDc)];
            my_title=sprintf(System+'complexe spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
        case "s"
            spectrum = [real(spec.spec_s), imag(spec.spec_s)];
            FID = [real(spec.FIDs), imag(spec.FIDs)];
            my_title=sprintf(System+'substrate spectum: W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]);
    end
            
    % spectrum
    figure('Color','white')
    ax1 = subplot(2,1,1);
    ax1.set('FontSize',12,'FontName','Arial');
    plot(FRQ,spectrum(:,1),'LineWidth',2);
    title(my_title,'FontSize',14,'FontName','Arial');
    xlabel(xlabel_frq,'FontSize',14,'FontName','Arial');
    ylabel('Spec Intensity (a.u.)','FontSize',14,'FontName','Arial');
    axis([spec.axis(1) spec.axis(2) min(min(spectrum))-1e-9 max(max(spectrum))+1e-9]); 
    
    [k, n1]=min(abs(spec.axis(1)-FRQ));
    [k, n2]=min(abs(spec.axis(2)-FRQ));
    out=[FRQ(n1:n2) spectrum(n1:n2,:)];
    %filen = "out\SLIC_SHEATH_SABRE_"+ex.System+"_"+num2str(ex.Kd);
    filen = "out\spec";
    save(filen+".dat","out","-ASCII")
    
    % FID 
    ax2 = subplot(2,1,2);
    ax2.set('FontSize',12,'FontName','Arial');
    plot(spec.AQTime,FID,'LineWidth',2);
    %title(sprintf(System+' W_a=%.3f s^-^1, k_d''=%.3f s^-^1',[ex.Wa ex.Kd]),'FontSize',14,'FontName','Arial');
    xlabel("AQ time (s)",'FontSize',14,'FontName','Arial');
    ylabel('FID Intensity (a.u.)','FontSize',14,'FontName','Arial');
    %axis([ex.Bv(1)*1e6 ex.Bv(end)*1e6 ex.tv(1)*1e3 ex.tv(end)*1e3]);
    drawnow;
    saveas(gcf,filen+".png",'png')
    
end

