function plot_xyz_spectra(System,ex,spec,type_frq)
    switch type_frq
        case "relative FRQ"
            FRQ = spec.FRQ - 0;
            xlabel_frq= 'Frequency - v0 (Hz)';
        case "absolute FRQ"
            FRQ = spec.FRQ;
            xlabel_frq= 'Frequency (Hz)';           
    end
    
    
    
    spectrum_xyz = [real(spec.spec.x), imag(spec.spec.x), real(spec.spec.y),  imag(spec.spec.y), real(spec.spec.z),  imag(spec.spec.z), real(spec.spec.RX),  imag(spec.spec.RX)];
    FID_xyz = [real(spec.FID.x), imag(spec.FID.x), real(spec.FID.y),  imag(spec.FID.y), real(spec.FID.z),  imag(spec.FID.z), real(spec.FID.RX),  imag(spec.FID.RX)];            
    my_title_xyz={System+" rxph x",System+" rxph y",System+" rxph z",System+" rxph RX direction"};     

    filen = "out\FRQ_specxyz"+System+".dat";
    out=[FRQ,spectrum_xyz];
    save(filen,"out","-ASCII");
    
    filen = "out\time_FIDxyz"+System+".dat";
    out=[spec.AQTime,FID_xyz];
    save(filen,"out","-ASCII");


    for k=1:4
        id = (k-1)*2+1;
        spectrum = spectrum_xyz(:,id:id+1);
        FID = FID_xyz(:,id);
        my_title = my_title_xyz{k};

        % spectrum
        figure('Color','white')
        ax1 = subplot(2,1,1);
        ax1.set('FontSize',12,'FontName','Arial');
        plot(FRQ,spectrum,'LineWidth',2);
        title(my_title,'FontSize',14,'FontName','Arial');
        xlabel(xlabel_frq,'FontSize',14,'FontName','Arial');
        ylabel('Spec Intensity (a.u.)','FontSize',14,'FontName','Arial');
        axis([spec.axis(1) spec.axis(2) min(min(spectrum))-1e-9 max(max(spectrum))+1e-9]);         
                
        % FID 
        ax2 = subplot(2,1,2);
        ax2.set('FontSize',12,'FontName','Arial');
        plot(spec.AQTime,FID,'LineWidth',2);        
        xlabel("AQ time (s)",'FontSize',14,'FontName','Arial');
        ylabel('FID Intensity (a.u.)','FontSize',14,'FontName','Arial');        
        drawnow;
        saveas(gcf,filen+".png",'png')
    end
end

