function ex = sabre_exC_ULF_realSLIC_t_B0_v1_adiabatic_frq(ex)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% nonpolorized initial spin state of the Ir-complex and substrate
    rC0=DensityMatrix(ex.Sc.U);        
    rC=rC0;               
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% relaxation superoperator of the Ir-complex and substrate
    RsC=RLFF_EN(ex.Sc,ex.T1C);    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate SLIC-SABRE experiment             
            

    % prebubbling
    HcB=2*pi*HZJij(ex.Sc,ex.ppmC,ex.JC,ex.B0,"full");   
    SABRE=SABRE_exC_matrix(rC0,ex.Sc,HcB,RsC,...
                               ex.Sh,ex.fpH,ex.Kd);        
    vec=(expm(SABRE.A*ex.prebubble))*mtz2vec(rC0.val);
    ex.Yout.kin = zeros(ex.slic.N,3);
    print_progress(0)                       
    for islic=1:ex.slic.N
        print_progress(islic/ex.slic.N);                       
        HC_SLIC=2*pi*HZJij_RF_ULF(ex.Sc,ex.ppmC,ex.JC,ex.B0,ex.v1slic(islic),0,"X");
        SABRE_SLIC=SABRE_exC_matrix(rC0,ex.Sc,HC_SLIC,RsC,...
                           ex.Sh,ex.fpH,ex.Kd);
        vec=(expm(SABRE_SLIC.A*ex.SLIC.dt)*vec);
        rC.val=vec2mtz(vec);                       
        ex.Yout.kin(islic,:)=real(Amplitudes(rC,ex.SOc))*100;    %
    end
    rC.val=vec2mtz(vec);                       

    
    ex.rC=rC;
    ex.Yout.ic=real(Amplitudes(ex.rC,ex.SOc))*100;    % initial values before adiabatic pulse
end
             