function Integrals  = D2_integrals(x1,x2,y,peaks,d)
    d       = d/2                                                          ; % half width of spec integration
    Np      = length(peaks)                                                ;    
    Integrals.rect       = zeros(Np)                                       ;
    Integrals.lin        = zeros(Np*Np,1)                                  ;
    Integrals.range.lin  = zeros(Np*Np,4)                                  ;
    Integrals.Max.Amps   = zeros(Np)                                       ;
    peak_id              = 0                                               ;
    for ip1 = 1:Np        
        
        x1l      = peaks(ip1)-d                                            ;
        x1r      = peaks(ip1)+d                                            ;
        [~,n1_1] = min(abs(x1-x1l))                                        ;
        [~,n1_2] = min(abs(x1-x1r))                                        ;
        x1t      = x1(n1_1:n1_2)                                           ;
        for ip2 = 1:Np
            peak_id    = 1+peak_id                                         ;
            disp("peak id = "+num2str(peak_id))                            ;
            x2l        = peaks(ip2)-d                                      ;
            x2r        = peaks(ip2)+d                                      ;
            [~,n2_1]   = min(abs(x2-x2l))                                  ;
            [~,n2_2]   = min(abs(x2-x2r))                                  ;
            x2t        = x2(n2_1:n2_2)                                     ;
            
            yt         = y(n1_1:n1_2,n2_1:n2_2)                            ;
            % surf(y);
            % view(2);
            % surf(yt);
            % view(2)
           
            [MaxVal,m2]                    = max(max(yt))                  ;
            [~,m1]                         = max(yt(:,m2))                 ;
            Integrals.Max.Amps(ip1,ip2)    = MaxVal                        ;
            Integrals.rect(ip1,ip2)        = trapz(x2t,trapz(x1t,yt))      ;
            Integrals.lin(peak_id)         = Integrals.rect(ip1,ip2)       ;
            Integrals.range.lin(peak_id,:) = [x1l, x1r, x2l, x2r]          ;
            MaxPosition                    = [x1t(m1),x2t(m2)]             ;
            disp("position of maximum = "+num2str(MaxPosition))            ;
            disp("integral = "+num2str(Integrals.rect(ip1,ip2)))           ;
            
        end
    end
end
