% here is an example of simulations of 1D NMR spectrum using Bloch class
clear all
close all 

tic
% 90y - FID
p                    = LoadPath()                                          ;

% system parameters and spins
Spec.System          = SPINS_Systems(1)                                    ; % 1 = A, 2 = AB, 3 = ABC
[Spec.T1,Spec.T2,Spec.C,Spec.wz,Spec.K] = Load_SPINS_Systems(Spec.System)  ;
Spec.M               = SPINS(Spec.T1,Spec.T2,Spec.C)                       ;

%% sepctral parameters

Spec.lb              = 0                                                   ; % linebroadening [Hz]

Spec.sw              = 2000                                                ; % Sampling frequency                    
Spec.td              = 2^13                                                ; % Length of signal
Spec.si              = Spec.td*1                                           ; % Length of signal after zerofilling

Spec.time2relax      = 100*max(Spec.T1)                                    ;
Spec.Integral_width  = 20                                                  ; % Hz
Spec.tauRD           = 10e-3                                                ; % radiation damping parameter (units)
Spec.D_RD            = 10*2*pi                                              ; % D_RD = 3 xi gamma Bdip / 2 [rad/s]; xi from -1/2 to 1
Spec.noiseRD         = 50e-30                                                ;
Spec.p1              = 180                                                 ; % excitation angle in degrees
Spec.ph1             = "Y"                                                 ; % excitation phase in X,Y,-X,-Y
%% calculate spectrum
% 90-Y rotation
Spec                 = Spec.M.zg_RD(Spec)                                  ; % Calculate Evolution

%% calculate and plot spectrum

Spec                 = Spec.M.Spectrum(Spec)                               ; % calculate spectrum
Spec.M.Plot_Spectrum(Spec)                                                 ; % plot spectrum
toc
%%
% analyze Mz
%plot(Spec.time,Spec.Mevol{1}.Mz)
%% analyze integrals


% for id_spin = 1:Spec.M.N
%     Spec.Integrals_range(id_spin,:) = Spec.Wz(id_spin)/(2*pi)+[-1,1]*Spec.Integral_width/2                ;
%     [Spec.Integrals(id_spin,1),~,~] = D1_integral(Spec.FRQ,Spec.Spectrum,Spec.Integrals_range(id_spin,:)) ;
%     fprintf("integral id %.0f \n",id_spin)                                 ;
%     fprintf("range %.4f %.4f \n", Spec.Integrals_range(id_spin,:))         ;
%     fprintf("value %f \n",Spec.Integrals(id_spin))                         ;
% end



