function polarizationB()


    p = LoadPath();
    
    Se = SpinOperators(1,{'e'});
    Sh = SpinOperators(1,{'1H'});
    SD = SpinOperators(1,{'2H'});
    Sc = SpinOperators(1,{'13C'});
    Sn = SpinOperators(1,{'15N'});
    Sn14 = SpinOperators(1,{'14N'});

    kB=1.38064852*1e-23; % m2 kg s-2 K-1;
    hbar=1.0545718*1e-34; % m2 kg / s;
    T=298; % K    
    B0=9.4; % T
    hbar*B0*Sc.gamma{1}
    
    disp('polarization of proton/B (ppm/T)');
    disp((Sh.gamma{1}*hbar)/(2*kB*T)*1e6);

    disp('polarization Electron=')
    disp(tanh((Se.gamma{1}*hbar*B0)/(2*kB*T)))
    
    disp('polarization 1H=')
    disp(tanh((Sh.gamma{1}*hbar*B0)/(2*kB*T))) 
    
    disp('polarization 13C=')
    disp(tanh((Sc.gamma{1}*hbar*B0)/(2*kB*T)))
   
    disp('polarization 15N=')
    disp(tanh((Sn.gamma{1}*hbar*B0)/(2*kB*T)))
    disp('enhancement 15N=')
    disp(1/tanh((Sn.gamma{1}*hbar*B0)/(2*kB*T)))
    
    
    Bv=logspace(log10(1),log10(10),100)';
    Yhcn=zeros(length(Bv),4);

    
    Yhcn(:,1)=abs(tanh((Se.gamma{1}*hbar*Bv)/(2*kB*T)));            
    Yhcn(:,2)=tanh((Sh.gamma{1}*hbar*Bv)/(2*kB*T));        
    Yhcn(:,3)=tanh((Sc.gamma{1}*hbar*Bv)/(2*kB*T));
    Yhcn(:,4)=tanh((Sn.gamma{1}*hbar*Bv)/(2*kB*T));    
    figure('color','white');    
    semilogx(Bv,Yhcn,"linewidth",2);    
    xlabel('B (T)')
    ylabel('Polarizaion')
    legend('e','^1H','^1^3C','^1^5N')
    
    figure('color','white');    
    plot(Bv,Yhcn,"linewidth",2);    
    xlabel('B (T)')
    ylabel('Polarizaion')
    legend('e','^1H','^1^3C','^1^5N')
    

    S1z=full(Sn.z{1});
    S1z
    3*S1z*S1z-(1/2)*(1/2+1)*eye(2)
    

    S1z=full(Sn14.z{1});
    S1z
    3*S1z*S1z-(1)*(1+1)*eye(3)
end

