%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%SA2 = SpinOperators(2,{'1H','1H'});
%SAX = SpinOperators(2,{'1H','1H'});
%Sex = SpinOperators(1,{'1H'});
ex = Load_SABRE_System('HH');
ex
asdf


% Define fields parameters 
B0=14; %tesla
v0=B0*SA2.gamma{1}/(2*pi);
ppm0=4*1e-6;%main frequency and detectin frequeny in ppm
tAQ=linspace(0,2,2^15); %second
SI=length(tAQ);%1024*8;
LB=10/(2*pi);%FWHM=1/pi T2
ifRsuper=1; % 1 is if you need Relaxation superoperators

% Define kinetic parameters 
kd=500; % [s^(-1)] here kd is a dissociation rate constant IrHH -> H2
Wa=10; % Wa is an association rate constant, H2->IrHH  A2 to AX
fA2 = 1./(1+Wa/kd);
fAX = 1-fA2;

WinA2=10;
WinAX=0;
WoutA2=WinA2/fA2;
WoutAX=0;

%H
ppmex=[0]*1e-6;%ppm
Tex=[10];     %s
Jex=zeros(1);  %Hz
Jex=Jex+Jex';    


%initial state
rA2=DensityMatrix(SA2.U);
rAX=DensityMatrix(SAX.U);
rA20=DensityMatrix(SA2.U-SA2.SSnorm(1,2));
rAX0=DensityMatrix(SAX.U);

%dissociation of the first nucleus
Dir=eye(SA2.Nstates^2);%KronSuper(rex.val,Sex.Nstates,SA2.Nstates);                                
Tr =eye(SAX.Nstates^2);%TraceSuper1(1,SAX.Nstates);


tex=[0 10];
RA2=0;
RAX=0;
HA2B0=2*pi*HZJij(SA2,ppmA2,JA2,B0);
HAXB0=2*pi*HZJij(SAX,ppmAX,JAX,B0);
if ifRsuper==1
    RA2=RLFF_EN(SA2,TA2);
    RAX=RLFF_EN(SAX,TAX);
    %RAX=RDD_EN(SAX,DAX,taucAX);
    %RAX=RDD(SAX,DAX,taucAX,HAXB0);
end
%Hamiltonian of small molecule at Bz=B0
RegNucA2=[1 2];
RegNucAX=[1 2];
HA2=2*pi*HZJij_RF1(SA2,ppmA2,JA2,B0,0,ppm0,'X',RegNucA2);
HAX=2*pi*HZJij_RF1(SAX,ppmAX,JAX,B0,0,ppm0,'X',RegNucAX);

[Time, YtA2, YtAX, rA2, rAX]=ExchangeX_Source(rA2,SA2,HA2,RA2,SOA2,...
                                              rAX,SAX,HAX,RAX,SOAX,...
                                              tex,Wa,kd,Dir,Tr,fA2,fAX,...
                                              rA20,WinA2,WoutA2,...
                                              rAX0,WinAX,WoutAX);
                                
flip_angle=pi*70/180;                                          
rA2=rA2.RotationSuperOperator(flip_angle,'Y',SA2,RegNucA2); %rotation
rAX=rAX.RotationSuperOperator(flip_angle,'Y',SAX,RegNucAX); %rotation
                                         
[Time, YtA2, YtAX, rA2, rAX]=ExchangeX(rA2,SA2,HA2,RA2,SOA2,...
                                       rAX,SAX,HAX,RAX,SOAX,...
                                       tAQ,Wa,kd,Dir,Tr,fA2,fAX); 
                                                                                                                    

LBv=exp(-(LB*pi)*Time);
FIDAX = (YtAX(:,1)+1i*YtAX(:,2)+...
         YtAX(:,4)+1i*YtAX(:,5))*fAX;
FIDA2 = (YtA2(:,1)+1i*YtA2(:,2)+...
         YtA2(:,4)+1i*YtA2(:,5))*fA2;        
    
FIDs  = FIDA2+FIDAX;
SPECAX=fftshift(fft(FIDAX.*LBv,SI));
SPECA2=fftshift(fft(FIDA2.*LBv,SI));
SPEC  =SPECA2+SPECAX;    

%spec
figure
SW=1/(Time(2)-Time(1));   
FRQ=linspace(SW/2,-SW/2,SI)';    
PPM=(FRQ/v0+ppm0)*1e6;
subplot(2,1,1)
plot(PPM,real(SPEC));
title(sprintf('Spectrum A2<->AX:kd=%.0f, ka=%.0f, AX:J=%.fHz,d1=%.0f;d2=%.fppm,A2=%.0f; flip.angle=%.0f',[kd,Wa,JAX(1,2),ppmAX(1)*1e6,ppmAX(2)*1e6,ppmA2(1)*1e6,flip_angle/pi*180]));

xlabel('ppm');
ylabel('intensity, a.u.');
axis([min(PPM), max(PPM), min(real(SPEC)), max(real(SPEC))]);
set(gca,'Xdir','reverse')
subplot(2,1,2)
plot(PPM,real(SPEC));

title(sprintf('zoom'));
xlabel('ppm');
ylabel('intensity, a.u.');
axis([4.8, 5.2, min(real(SPEC)), max(real(SPEC))]);
set(gca,'Xdir','reverse')

drawnow

%FID
figure
subplot(2,1,1)
plot(Time,real(FIDA2));
title(sprintf('total'));
xlabel('time, s');
ylabel('intensity, FID A2');
axis([min(Time), max(Time), -max(abs(FIDA2)), max(abs(FIDA2))]);
subplot(2,1,2)
plot(Time,real(FIDAX));
title(sprintf('total'));
xlabel('time, s');
ylabel('intensity, FID AX');
axis([min(Time), max(Time), -max(abs(FIDAX)), max(abs(FIDAX))]);


out=real(FIDs);
save(sprintf('FIDs_re_ExSc.dat'),'out','-ASCII');    
out=imag(FIDs);
save(sprintf('FIDs_im_ExSc.dat'),'out','-ASCII');    

out=real(SPEC);
save(sprintf('SPEC_re_ExSc.dat'),'out','-ASCII');    
out=imag(SPEC);
save(sprintf('SPEC_im_ExSc.dat'),'out','-ASCII');    


save('FRQ.dat','FRQ','-ASCII');
save('PPM.dat','PPM','-ASCII');


save('AQ.dat','tAQ','-ASCII');

toc


